LibreOffice: DataSettings Service Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
DataSettings Service Referencepublished

extends the com::sun::star::sdbcx::Table with additional display information, sorting and filtering criteria. More...

`import"DataSettings.idl";`

Inheritance diagram for DataSettings:

## Public Attributes
string | Filter
| additional filter for the data object. More...
boolean | ApplyFilter
| indicates whether the filter should be applied or not, default is `FALSE`. More...
string | Order
| is an additional sort order definition. More...
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes for data displaying. More...
long | RowHeight
| specifies the height of a data row. More...
com::sun::star::util::Color | TextColor
| specifies the text color (RGB) for displaying text. More...
string | HavingClause
| additional having clause for the data object. More...
string | GroupBy
| additional group by for the data object. More...

## Detailed Description

extends the com::sun::star::sdbcx::Table with additional display information, sorting and filtering criteria.

## Member Data Documentation

boolean ApplyFilter
| property

indicates whether the filter should be applied or not, default is `FALSE`.

string Filter
| property

additional filter for the data object.

com::sun::star::awt::FontDescriptor FontDescriptor
| property

specifies the font attributes for data displaying.

string GroupBy
| optionalproperty

additional group by for the data object.

string HavingClause
| optionalproperty

additional having clause for the data object.

string Order
| property

is an additional sort order definition.

long RowHeight
| property

specifies the height of a data row.

com::sun::star::util::Color TextColor
| property

specifies the text color (RGB) for displaying text.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/DataSettings.idl